#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh - perl installation
#
# Creation   :  2018-01-05 holbru
# Last update:  $Id: install.sh 78329 2020-06-22 11:37:47Z hbfl $
#
# Copyright (c) 2018-2024 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=perl

# ---------------------------------------------------------------------------
# remove old stuff
# ---------------------------------------------------------------------------

if [ -f /etc/filelist.d/perl_addons_01-files.txt ]
then
    sed -i '/usr\/bin\/json_pp$/d' /etc/filelist.d/perl_addons_01-files.txt
fi

echo "yes" | cpan >/dev/null 2>&1

# ---------------------------------------------------------------------------
# activate
# ---------------------------------------------------------------------------

enc2xs -C >/dev/null 2>&1

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
